#ifndef _FPGA_H
#define _FPGA_H



// headers that we depend upon
//
#include "../apptel/txfpga.h"
#include "../apptel/rxfpga.h"



#define FPGA_BASE_ADDR_REG      1



// merged registers
//
// base address register 1 (the 2nd one) in PCI
// configuration space points to both the TX and RX
// FPGA registers together, with TX first
//
struct Fpga_registers
{
    TxFpga_registers Transmit;
    RxFpga_registers Receive;
};



#endif      // not included yet
