#ifdef __unix__
#include "../types/types.h"



#ifdef SOLARIS
#    include <sys/filio.h>              /* FIONREAD */
#else
#    include <sys/ioctl.h>              /* FIONREAD */
#endif



/* returns the amount of data ready to be read
 */
long dataready( int handle )
{
    int result;
    long amount;

    result = ioctl( handle, FIONREAD, &amount );
    if( result == -1 )
    {
        perror( "dataready() ioctl(FIONREAD)" );
        return 0;
    }

    return amount;
}



#endif
